**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots/upgrade-sandbox-snapshot

# Upgrade Sandbox Snapshot

Upgrade a sandbox snapshot to match the release version of the source sandbox Vault.

Your request to upgrade a snapshot is only valid if the `upgrade_status=Upgrade Available` or `Upgrade Required`. Use the [Retrieve Sandbox Snapshots](/sitevault/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request to obtain the `upgrade_status` of a snapshot.

<Endpoint path="/api/{version}/objects/sandbox/snapshot/{api_name}/actions/upgrade" method="POST" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

| Name | Description |
| --- | --- |
| `api_name` | The API name of the snapshot. Obtain this from the [Retrieve Sandbox Snapshots](/sitevault/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots/retrieve-sandbox-snapshots) request. |

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.1/objects/sandbox/snapshot/veepharm_snapshot__c/actions/upgrade
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus": "SUCCESS",
   "job_id": 172303,
   "url": "/api/v23.1/services/jobs/172303"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

| Name | Description |
| --- | --- |
| `job_id` | The Job ID value to retrieve the status and results of the snapshot upgrade request. |
| `url` | URL to retrieve the current status of the snapshot upgrade request. |

---

**Previous:** [Update Sandbox Snapshot](/sitevault/vault-api/api-reference/26.1/sandbox-vaults/sandbox-snapshots/update-sandbox-snapshot)  
**Next:** [Pre-Production Vaults](/sitevault/vault-api/api-reference/26.1/sandbox-vaults/pre-production-vaults)